# RemoteSyslogAppender.cpp File Reference

`#include "PortabilityImpl.hh"`
`#include <cstdlib>`
`#include <cstdio>`
`#include <cstring>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <log4cpp/RemoteSyslogAppender.hh>`
`#include <log4cpp/FactoryParams.hh>`
`#include <memory>`
`#include <winsock2.h>`

Include dependency graph for RemoteSyslogAppender.cpp:

## Namespaces

namespace | log4cpp

## Functions

std::auto_ptr< Appender > | log4cpp::create_remote_syslog_appender (const FactoryParams &)